/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_per_about_me_v
AS
SELECT papf.person_id
      ,am.about_me
FROM   per_all_people_f papf
      ,xxas_per_about_me am
WHERE  papf.person_id = am.person_id(+)
AND    trunc(sysdate) BETWEEN
       papf.effective_start_date AND papf.effective_end_date;

BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_PER_ABOUT_ME_V'
   ,p_description            => 'Applaud Person About Me');
END;
/

COMMIT;
EXIT;

